
%define __brp_python_bytecompile %{nil}

Name:		qt-creator
Version:    4.5.0
Release:	%mkrel 1
License:	LGPLv2+ and MIT
Summary:	Qt Creator is a lightweight, cross-platform integrated development environment (IDE)
Group:		Development/Tools
URL:		http://qt-project.org/wiki/Category:Tools::QtCreator
Source0:	http://download.qt-project.org/official_releases/qtcreator/3.6/%{version}/qt-creator-opensource-src-%{version}.tar.xz
Source2:	Nokia-QtCreator.xml

BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5bluetooth-devel
BuildRequires: %{_lib}qt5bootstrap-devel
BuildRequires: %{_lib}qt5clucene-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5egldeviceintegration-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5labstemplates-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediaquick_p-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qgsttools_p-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5quickparticles-devel
BuildRequires: %{_lib}qt5quicktest-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sensors-devel
BuildRequires: %{_lib}qt5serialport-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires: %{_lib}qt5websockets5-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5x11extras-devel
BuildRequires: %{_lib}qt5xcbqpa-devel
BuildRequires: %{_lib}qt5xml-devel
BuildRequires: %{_lib}qt5xmlpatterns5-devel
BuildRequires: %{_lib}qt5webkit-devel
BuildRequires: %{_lib}qt5webkitwidgets-devel
BuildRequires:	qttools5
BuildRequires:	qttools5-assistant

BuildRequires:  %{_lib}xslt-devel
BuildRequires:  %{_lib}xml2-devel
BuildRequires:  %{_lib}sqlite3-devel

Requires:	qtdeclarative5
Requires:	qtquickcontrols5
Requires:	qtwebengine5
Requires:	%{_lib}qt5printsupport5
Requires:	%{_lib}qt5-database-plugin-sqlite

%description
Qt Creator (previously known as Project Greenhouse) is a new, lightweight, cross-platform integrated 
development environment (IDE) designed to make development with the Qt application framework even faster and easier.


%package doc
Summary:        User documentation for %{name}
Group:		Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
User documentation for %{name}


%files
%exclude %{_defaultdocdir}/qtcreator/qtcreator.qch
%{_bindir}/qtcreator
%{_bindir}/qbs
%{_bindir}/qbs-config
%{_bindir}/qbs-config-ui
%{_bindir}/qbs-qmltypes
%{_bindir}/qbs-setup-android
%{_bindir}/qbs-setup-qt
%{_bindir}/qbs-setup-toolchains
%{_libdir}/qtcreator
%{_libexecdir}/qtcreator
%{_datadir}/qtcreator
%{_iconsdir}/*/*/*/*.png
%{_datadir}/mime/application/*
%_sysconfdir/ld.so.conf.d/*.conf
%{_var}/lib/rpm/filetriggers/
%{_libexecdir}/qtcreator/
%{_bindir}/qbs-create-project
%{_datadir}/applications/org.qt-project.qtcreator.desktop
%{_datadir}/doc/qtcreator/qtcreator-dev.qch
%{_datadir}/metainfo/org.qt-project.qtcreator.appdata.xml
   
%files doc
%doc %{_defaultdocdir}/qtcreator/qtcreator.qch

#------------------------------------------------------------------------------

%prep
%setup -qn %{name}-opensource-src-%{version}
%apply_patches

%build
export QTDIR=%{_qt5_datadir}
%qmake_qt5 -r IDE_LIBRARY_BASENAME=%{_lib}
%make
%make qch_docs

%install
rm -rf %buildroot
make install INSTALL_ROOT=$RPM_BUILD_ROOT/%{_prefix}
make install_inst_qch_docs  INSTALL_ROOT=$RPM_BUILD_ROOT/%{_prefix}

mkdir -p %{buildroot}/%{_datadir}/mime/application
install -m 0644 %{SOURCE2} %{buildroot}/%{_datadir}/mime/application

# Use the new ld.so.conf.d
mkdir -p %buildroot/%_sysconfdir/ld.so.conf.d
pushd %buildroot/%_sysconfdir/ld.so.conf.d
echo "%{_libdir}/qtcreator" > qt-creator.conf
popd

install -d %buildroot%{_var}/lib/rpm/filetriggers
cat > %buildroot%{_var}/lib/rpm/filetriggers/qtcreator.filter << EOF
^.%{_libdir}/qtcreator/[^/]*\.so\.
EOF
cat > %buildroot%{_var}/lib/rpm/filetriggers/qt-creator.script << EOF
#!/bin/sh
ldconfig -X
EOF
chmod 755 %buildroot%{_var}/lib/rpm/filetriggers/qt-creator.script

%post
/sbin/ldconfig


%changelog
* Tue Dec 12 2017 bb2 <bb2> - 4.5.0-1pclos2017
- new version

* Fri May 26 2017 bb2 <bb2> 4.3.0-1pclos2017
- new version
